<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Thu Jun 23 07:55:03 CEST 2016 -->
<title>A-Index</title>
<meta name="date" content="2016-06-23">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="A-Index";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Letter</li>
<li><a href="index-2.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-filesindex-1.html" target="_top">Frames</a></li>
<li><a href="index-1.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">Z</a>&nbsp;<a name="_A_">
<!--   -->
</a>
<h2 class="title">A</h2>
<dl>
<dt><span class="strong"><a href="../controler/ListenerCards.html#actionPerformed(java.awt.event.ActionEvent)">actionPerformed(ActionEvent)</a></span> - Method in class controler.<a href="../controler/ListenerCards.html" title="class in controler">ListenerCards</a></dt>
<dd>
<div class="block">Show the card define by attribute card</div>
</dd>
<dt><span class="strong"><a href="../controler/ListenerCreationPiece.html#actionPerformed(java.awt.event.ActionEvent)">actionPerformed(ActionEvent)</a></span> - Method in class controler.<a href="../controler/ListenerCreationPiece.html" title="class in controler">ListenerCreationPiece</a></dt>
<dd>
<div class="block">Instantiates a new listener creation piece.</div>
</dd>
<dt><span class="strong"><a href="../controler/ListenerModeMenu.html#actionPerformed(java.awt.event.ActionEvent)">actionPerformed(ActionEvent)</a></span> - Method in class controler.<a href="../controler/ListenerModeMenu.html" title="class in controler">ListenerModeMenu</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../controler/ListenerPlayersMenu.html#actionPerformed(java.awt.event.ActionEvent)">actionPerformed(ActionEvent)</a></span> - Method in class controler.<a href="../controler/ListenerPlayersMenu.html" title="class in controler">ListenerPlayersMenu</a></dt>
<dd>
<div class="block">Manages the check button and color button.</div>
</dd>
<dt><span class="strong"><a href="../controler/ListenerStart.html#actionPerformed(java.awt.event.ActionEvent)">actionPerformed(ActionEvent)</a></span> - Method in class controler.<a href="../controler/ListenerStart.html" title="class in controler">ListenerStart</a></dt>
<dd>
<div class="block">Start and initialize the game.</div>
</dd>
<dt><span class="strong"><a href="../controler/ListenerStartOnline.html#actionPerformed(java.awt.event.ActionEvent)">actionPerformed(ActionEvent)</a></span> - Method in class controler.<a href="../controler/ListenerStartOnline.html" title="class in controler">ListenerStartOnline</a></dt>
<dd>
<div class="block">Start and initialize the game for LAN.</div>
</dd>
<dt><span class="strong"><a href="../controler/MainButtonListener.html#actionPerformed(java.awt.event.ActionEvent)">actionPerformed(ActionEvent)</a></span> - Method in class controler.<a href="../controler/MainButtonListener.html" title="class in controler">MainButtonListener</a></dt>
<dd>
<div class="block">Adapt a action depending on the source.s</div>
</dd>
<dt><span class="strong"><a href="../controler/PlayerButtonListener.html#actionPerformed(java.awt.event.ActionEvent)">actionPerformed(ActionEvent)</a></span> - Method in class controler.<a href="../controler/PlayerButtonListener.html" title="class in controler">PlayerButtonListener</a></dt>
<dd>
<div class="block">When the user click on a button, if it's abandonner the player lose and the interface are adapted.</div>
</dd>
<dt><span class="strong"><a href="../view/PlayerPiece.html#activer()">activer()</a></span> - Method in class view.<a href="../view/PlayerPiece.html" title="class in view">PlayerPiece</a></dt>
<dd>
<div class="block">Start the listener of this PlayerPiece.</div>
</dd>
<dt><span class="strong"><a href="../view/PlayerPieces.html#activer()">activer()</a></span> - Method in class view.<a href="../view/PlayerPieces.html" title="class in view">PlayerPieces</a></dt>
<dd>
<div class="block">Activate all PlayerPiece who are not used.</div>
</dd>
<dt><span class="strong"><a href="../view/PlayerZone.html#activer()">activer()</a></span> - Method in class view.<a href="../view/PlayerZone.html" title="class in view">PlayerZone</a></dt>
<dd>
<div class="block">Activate the playerPieces.</div>
</dd>
<dt><span class="strong"><a href="../view/PlayerBar.html#actualiser()">actualiser()</a></span> - Method in class view.<a href="../view/PlayerBar.html" title="class in view">PlayerBar</a></dt>
<dd>
<div class="block">Actualize the score and the number of pieces.</div>
</dd>
<dt><span class="strong"><a href="../view/PlayerPiece.html#actualiserBar()">actualiserBar()</a></span> - Method in class view.<a href="../view/PlayerPiece.html" title="class in view">PlayerPiece</a></dt>
<dd>
<div class="block">Actualize the PlayerBar of this player.</div>
</dd>
<dt><span class="strong"><a href="../view/MenuPiece.html#add(model.Position)">add(Position)</a></span> - Method in class view.<a href="../view/MenuPiece.html" title="class in view">MenuPiece</a></dt>
<dd>
<div class="block">Add a part of the piece on the screen and on the futur piece.</div>
</dd>
<dt><span class="strong"><a href="../view/Blokus.html#addCard(java.lang.String,%20javax.swing.JPanel)">addCard(String, JPanel)</a></span> - Method in class view.<a href="../view/Blokus.html" title="class in view">Blokus</a></dt>
<dd>
<div class="block">Adds the jPanel to the cardLayout with the name in parameters.</div>
</dd>
<dt><span class="strong"><a href="../view/Grid.html#addFragmentOfPiece(model.Piece,%20model.Position)">addFragmentOfPiece(Piece, Position)</a></span> - Method in class view.<a href="../view/Grid.html" title="class in view">Grid</a></dt>
<dd>
<div class="block">Adds the fragment of piece.</div>
</dd>
<dt><span class="strong"><a href="../view/MenuPiece.html#addHover(model.Position)">addHover(Position)</a></span> - Method in class view.<a href="../view/MenuPiece.html" title="class in view">MenuPiece</a></dt>
<dd>
<div class="block">Adds a hover effect(the actual jLabel where the cursor is have its border changed).</div>
</dd>
<dt><span class="strong"><a href="../model/Pattern.html#addPattern(int[][])">addPattern(int[][])</a></span> - Method in class model.<a href="../model/Pattern.html" title="class in model">Pattern</a></dt>
<dd>
<div class="block">Adds a pattern.</div>
</dd>
<dt><span class="strong"><a href="../model/Map.html#addPiece(model.Piece,%20model.Position)">addPiece(Piece, Position)</a></span> - Method in class model.<a href="../model/Map.html" title="class in model">Map</a></dt>
<dd>
<div class="block">Adds the piece to the map and check it with tryAdd.</div>
</dd>
<dt><span class="strong"><a href="../view/Grid.html#addPiece(model.Piece,%20model.Position)">addPiece(Piece, Position)</a></span> - Method in class view.<a href="../view/Grid.html" title="class in view">Grid</a></dt>
<dd>
<div class="block">Adds the piece in the grid a the position given.</div>
</dd>
<dt><span class="strong"><a href="../view/Parametres.html#addPiece(int)">addPiece(int)</a></span> - Method in class view.<a href="../view/Parametres.html" title="class in view">Parametres</a></dt>
<dd>
<div class="block">Adds a piece for the next game.</div>
</dd>
<dt><span class="strong"><a href="../view/Grid.html#addTemporalPiece(model.Piece,%20model.Position)">addTemporalPiece(Piece, Position)</a></span> - Method in class view.<a href="../view/Grid.html" title="class in view">Grid</a></dt>
<dd>
<div class="block">Adds the future piece temporally.</div>
</dd>
<dt><span class="strong"><a href="../view/Grid.html#addTemporalPieceDev(model.Piece,%20model.Position)">addTemporalPieceDev(Piece, Position)</a></span> - Method in class view.<a href="../view/Grid.html" title="class in view">Grid</a></dt>
<dd>
<div class="block">Adds the future developer piece temporally.</div>
</dd>
<dt><span class="strong"><a href="../view/ZoneInformation.html#afficherScore()">afficherScore()</a></span> - Method in class view.<a href="../view/ZoneInformation.html" title="class in view">ZoneInformation</a></dt>
<dd>
<div class="block">Print the score in gauche.</div>
</dd>
<dt><a href="../view/Aide.html" title="class in view"><span class="strong">Aide</span></a> - Class in <a href="../view/package-summary.html">view</a></dt>
<dd>
<div class="block">The Class Aide is a jpanel where the information of the functionnment of this game are explain..</div>
</dd>
<dt><span class="strong"><a href="../view/Aide.html#Aide(view.Blokus)">Aide(Blokus)</a></span> - Constructor for class view.<a href="../view/Aide.html" title="class in view">Aide</a></dt>
<dd>
<div class="block">Instantiates a new aide panel.</div>
</dd>
<dt><span class="strong"><a href="../model/ServeurPlayer.html#attibutionFini()">attibutionFini()</a></span> - Method in class model.<a href="../model/ServeurPlayer.html" title="class in model">ServeurPlayer</a></dt>
<dd>
<div class="block">Check if the Attibution is ended.</div>
</dd>
<dt><span class="strong"><a href="../model/ServeurPlayer.html#attribut()">attribut()</a></span> - Method in class model.<a href="../model/ServeurPlayer.html" title="class in model">ServeurPlayer</a></dt>
<dd>
<div class="block">Attribute a player to a user.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">Z</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Letter</li>
<li><a href="index-2.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-filesindex-1.html" target="_top">Frames</a></li>
<li><a href="index-1.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
